Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
namhai

Lệnh Di rồi xuất ra text theo 2 chiều!!

Các bài được khuyến nghị

Chào các bác, mong các bác giúp đỡ e lisp này với. khi mình Di thì sẽ cho kết quả theo 2 chiều X, Y, e muốn xuất cả 2 kết quả đấy ra text, ý tưởng của e như sau mong mọi người giúp đỡ :

- Lệnh DI để cho Khoảng cách X, Y

- Chọn text để ghi kết quả X

- Chọn text để ghi kết quả Y

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các bác, mong các bác giúp đỡ e lisp này với. khi mình Di thì sẽ cho kết quả theo 2 chiều X, Y, e muốn xuất cả 2 kết quả đấy ra text, ý tưởng của e như sau mong mọi người giúp đỡ :

- Lệnh DI để cho Khoảng cách X, Y

- Chọn text để ghi kết quả X

- Chọn text để ghi kết quả Y

Bạn sử dụng Code này xem sao :

(defun c:xt2c()
(setq p1 (getpoint "\n chon diem thu 1 :"))
(setq p2 (getpoint p1 "\n chon diem thu 2 :"))
(setq di (distance p1 p2))
(setq ang (angle p1 p2))
(setq y (rtos (abs (* di (sin ang))) 2 3))
(setq x (rtos (abs (* di (cos ang))) 2 3))
(setq tex (entget(car (entsel "\n Chon text de xuat khoang cach X :"))))
(setq tex (entmod(subst (cons 1 x) (assoc 1 tex) tex)))
(setq tey (entget(car (entsel "\n Chon text de xuat khoang cach Y :"))))
(setq tey (entmod(subst (cons 1 y) (assoc 1 tey) tey)))
(princ)
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn sử dụng Code này xem sao :

(defun c:xt2c()
(setq p1 (getpoint "\n chon diem thu 1 :"))
(setq p2 (getpoint p1 "\n chon diem thu 2 :"))
(setq di (distance p1 p2))
(setq ang (angle p1 p2))
(setq y (rtos (abs (* di (sin ang))) 2 3))
(setq x (rtos (abs (* di (cos ang))) 2 3))
(setq tex (entget(car (entsel "\n Chon text de xuat khoang cach X :"))))
(setq tex (entmod(subst (cons 1 x) (assoc 1 tex) tex)))
(setq tey (entget(car (entsel "\n Chon text de xuat khoang cach Y :"))))
(setq tey (entmod(subst (cons 1 y) (assoc 1 tey) tey)))
(princ)
)

Lisp rất tuyệt, đúng như điều e muốn rồi, cảm ơn bác Tue_NV nhiều nha!Happy weekend :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×